Index: /trunk/sources/HeuristicLab.Clients.Hive.Slave.TrayIconSetup/HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Slave.TrayIconSetup/HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj	(revision 6992)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Slave.TrayIconSetup/HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj	(revision 6993)
@@ -1188,286 +1456,18 @@
             "IsolateTo" = "8:"
             }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_7BD628B773CE245FD61F03A52A15ADCB"
+            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_FDEE2CBFE337B946196A0BC752B28220"
             {
             "AssemblyRegister" = "3:1"
             "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Hive-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
+            "AssemblyAsmDisplayName" = "8:HeuristicLab.Hive-3.3, Version=3.3.5.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
                 "ScatterAssemblies"
                 {
-                    "_7BD628B773CE245FD61F03A52A15ADCB"
-                    {
-                    "Name" = "8:HeuristicLab.Hive-3.4.dll"
+                    "_FDEE2CBFE337B946196A0BC752B28220"
+                    {
+                    "Name" = "8:HeuristicLab.Hive-3.3.dll"
                     "Attributes" = "3:512"
                     }
                 }
-            "SourcePath" = "8:HeuristicLab.Hive-3.4.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_B1DFCCA68C7D4DFDAC136FAC678F2E8D"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_9541F928C568C75CE14288DDBA5E5F6A"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.MainForm.WindowsForms-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_9541F928C568C75CE14288DDBA5E5F6A"
-                    {
-                    "Name" = "8:HeuristicLab.MainForm.WindowsForms-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.MainForm.WindowsForms-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_B1DFCCA68C7D4DFDAC136FAC678F2E8D"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_A14FD9B75FFDC0C9FDE8558B89624A51"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Core.Views-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_A14FD9B75FFDC0C9FDE8558B89624A51"
-                    {
-                    "Name" = "8:HeuristicLab.Core.Views-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Core.Views-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_B1DFCCA68C7D4DFDAC136FAC678F2E8D"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_BA24EB8379AD50E05C7274CF07672B8C"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:WeifenLuo.WinFormsUI.Docking-2.3.1, Version=2.3.1.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_BA24EB8379AD50E05C7274CF07672B8C"
-                    {
-                    "Name" = "8:WeifenLuo.WinFormsUI.Docking-2.3.1.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:WeifenLuo.WinFormsUI.Docking-2.3.1.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_B1DFCCA68C7D4DFDAC136FAC678F2E8D"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_DAC163C214855C93932BB03E1CF20002"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_DAC163C214855C93932BB03E1CF20002"
-                    {
-                    "Name" = "8:HeuristicLab.Common.Resources-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Common.Resources-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_B1DFCCA68C7D4DFDAC136FAC678F2E8D"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_E1DF3FF675F8909B8FAF6D7E567FD238"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_E1DF3FF675F8909B8FAF6D7E567FD238"
-                    {
-                    "Name" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.4.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Clients.Hive.SlaveCore-3.4.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_B1DFCCA68C7D4DFDAC136FAC678F2E8D"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_E2AA9174F4DA1C479FCD78AA48F0E8BE"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_E2AA9174F4DA1C479FCD78AA48F0E8BE"
-                    {
-                    "Name" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.PluginInfrastructure-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_B1DFCCA68C7D4DFDAC136FAC678F2E8D"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_E4DD5E3D2A69B5BE8B068C88529DFDC6"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Collections-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_E4DD5E3D2A69B5BE8B068C88529DFDC6"
-                    {
-                    "Name" = "8:HeuristicLab.Collections-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Collections-3.3.dll"
-            "TargetName" = "8:"
-            "Tag" = "8:"
-            "Folder" = "8:_B1DFCCA68C7D4DFDAC136FAC678F2E8D"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:TRUE"
-            "IsolateTo" = "8:"
-            }
-            "{1FB2D0AE-D3B9-43D4-B9DD-F88EC61E35DE}:_F010F086FC3D4C1EA55A80E7D9230283"
-            {
-            "SourcePath" = "8:HeuristicLab.ico"
-            "TargetName" = "8:HeuristicLab.ico"
-            "Tag" = "8:"
-            "Folder" = "8:_B1DFCCA68C7D4DFDAC136FAC678F2E8D"
-            "Condition" = "8:"
-            "Transitive" = "11:FALSE"
-            "Vital" = "11:TRUE"
-            "ReadOnly" = "11:FALSE"
-            "Hidden" = "11:FALSE"
-            "System" = "11:FALSE"
-            "Permanent" = "11:FALSE"
-            "SharedLegacy" = "11:FALSE"
-            "PackageAs" = "3:1"
-            "Register" = "3:1"
-            "Exclude" = "11:FALSE"
-            "IsDependency" = "11:FALSE"
-            "IsolateTo" = "8:"
-            }
-            "{9F6F8455-1EF1-4B85-886A-4223BCC8E7F7}:_F0830FF0B893997415F4A4119B7871AD"
-            {
-            "AssemblyRegister" = "3:1"
-            "AssemblyIsInGAC" = "11:FALSE"
-            "AssemblyAsmDisplayName" = "8:HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL"
-                "ScatterAssemblies"
-                {
-                    "_F0830FF0B893997415F4A4119B7871AD"
-                    {
-                    "Name" = "8:HeuristicLab.Data-3.3.dll"
-                    "Attributes" = "3:512"
-                    }
-                }
-            "SourcePath" = "8:HeuristicLab.Data-3.3.dll"
+            "SourcePath" = "8:HeuristicLab.Hive-3.3.dll"
             "TargetName" = "8:"
             "Tag" = "8:"
@@ -1565,6 +1565,6 @@
         "Name" = "8:Microsoft Visual Studio"
         "ProductName" = "8:HeuristicLab Hive Slave TrayIcon"
-        "ProductCode" = "8:{91E58951-03BD-4AD9-A171-2ACB08CBB491}"
-        "PackageCode" = "8:{2CC14095-D668-40D2-909C-C182C8CDE471}"
+        "ProductCode" = "8:{F7015771-3F03-4688-B662-00E0C85DB523}"
+        "PackageCode" = "8:{307ECBF7-B9E4-44DB-B806-4F5C961A6C98}"
         "UpgradeCode" = "8:{0C2D9DD1-798B-40F2-8F5B-D3F9540685EE}"
         "AspNetVersion" = "8:4.0.30319.0"
@@ -1573,5 +1573,5 @@
         "DetectNewerInstalledVersion" = "11:FALSE"
         "InstallAllUsers" = "11:TRUE"
-        "ProductVersion" = "8:3.3.5"
+        "ProductVersion" = "8:3.3.6"
         "Manufacturer" = "8:HEAL"
         "ARPHELPTELEPHONE" = "8:"
Index: /trunk/sources/HeuristicLab.Clients.Hive.Slave.WindowsService/3.3/SlaveWindowsService.cs
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Slave.WindowsService/3.3/SlaveWindowsService.cs	(revision 6992)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Slave.WindowsService/3.3/SlaveWindowsService.cs	(revision 6993)
@@ -45,4 +45,5 @@
       core.ServiceEventLog = eventLog;
       coreThread = new Thread(core.Start);
+      coreThread.IsBackground = true; //dont keep app alive
       coreThread.Start();
 
Index: /trunk/sources/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.vdproj
===================================================================
--- /trunk/sources/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.vdproj	(revision 6992)
+++ /trunk/sources/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.vdproj	(revision 6993)
@@ -1272,6 +1272,6 @@
         "Name" = "8:Microsoft Visual Studio"
         "ProductName" = "8:HeuristicLab Hive Slave"
-        "ProductCode" = "8:{83D128A1-4766-4B19-A449-15B0A1969B99}"
-        "PackageCode" = "8:{0ED9AC43-F041-4D33-8CCD-1386699987B2}"
+        "ProductCode" = "8:{03377582-44A2-4D8A-BAB9-8A5D90539EE1}"
+        "PackageCode" = "8:{4D0F770B-893D-47E1-978E-5CDA0F0F0787}"
         "UpgradeCode" = "8:{F27A07F7-B96C-4375-B9C2-6623E5C2B03E}"
         "AspNetVersion" = "8:4.0.30319.0"
@@ -1280,5 +1280,5 @@
         "DetectNewerInstalledVersion" = "11:FALSE"
         "InstallAllUsers" = "11:TRUE"
-        "ProductVersion" = "8:3.3.5"
+        "ProductVersion" = "8:3.3.6"
         "Manufacturer" = "8:HEAL"
         "ARPHELPTELEPHONE" = "8:"
Index: /trunk/sources/HeuristicLab.Services.Hive.Web/Hive-3.3/Status.aspx
===================================================================
--- /trunk/sources/HeuristicLab.Services.Hive.Web/Hive-3.3/Status.aspx	(revision 6992)
+++ /trunk/sources/HeuristicLab.Services.Hive.Web/Hive-3.3/Status.aspx	(revision 6993)
@@ -6,7 +6,11 @@
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head runat="server">
-  <title></title>
+  <title>HeuristicLab Hive Status Monitor</title> 
+  <link rel="icon" type="image/ico" href="HeuristicLab.ico"> 
 </head>
 <body>
+  <center>
+    <h1>HeuristicLab Hive Status Monitor</h1>
+  </center>
   <form id="form1" runat="server">
   <div>
@@ -25,8 +29,5 @@
     Avg. CPU Utilization:
     <asp:Label ID="cpuUtilizationLabel" runat="server" />
-    <br />
-    ExecutionTime on Hive:
-    <asp:Label ID="totalExecutionTimeLabel" runat="server" />
-    <br />
+    <br />  
     <br />
     Days:
Index: /trunk/sources/HeuristicLab.Services.Hive.Web/Hive-3.3/Status.aspx.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.Hive.Web/Hive-3.3/Status.aspx.cs	(revision 6992)
+++ /trunk/sources/HeuristicLab.Services.Hive.Web/Hive-3.3/Status.aspx.cs	(revision 6993)
@@ -69,12 +69,4 @@
       stats = dao.GetStatistics(x => x.Timestamp >= DateTime.Now.Subtract(TimeSpan.FromDays(int.Parse(daysDropDownList.SelectedValue)))).OrderBy(x => x.TimeStamp).ToArray();
     }
-                                                     
-    if (stats.Length != 0) {
-      var firstStatisticsDate = stats.OrderBy(x => x.TimeStamp).First().TimeStamp;
-      var statisticsSince = DateTime.Now - firstStatisticsDate;
-      totalExecutionTimeLabel.Text = new TimeSpan(stats.Last().UserStatistics.Sum(x => x.ExecutionTime.Ticks)).ToString() + " (since " + Math.Round(statisticsSince.TotalDays, 2) + " days)";
-    } else {
-      totalExecutionTimeLabel.Text = "00:00:00.00";
-    }
     
     for (int i = 0; i < stats.Length; i++) {
